> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置 Google 自然搜索 SERP 任务

> 设置 Google 自然搜索 SERP 任务。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/serp/google/organic/task_post
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/serp/google/organic/task_post:
    post:
      summary: 设置 Google 自然搜索 SERP 任务
      description: >-
        设置 Google Organic SERP 任务。标准的基于任务的端点。仅在设置任务时向您的账户收费。每次 POST 调用最多可发送 100
        个任务。
      operationId: post_dataforseo_serp_google_organic_task_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: 要搜索的关键词
                location_name:
                  type: string
                  description: 搜索引擎位置的完整名称
                location_code:
                  type: integer
                  description: 搜索引擎位置代码
                location_coordinate:
                  type: string
                  description: 某个位置的 GPS 坐标
                language_name:
                  type: string
                  description: 搜索引擎语言的完整名称
                language_code:
                  type: string
                  description: 搜索引擎语言代码
                depth:
                  type: integer
                  description: 解析深度，默认值为 100，最大值为 700
                max_crawl_pages:
                  type: integer
                  description: 页面抓取上限，最大值为 100
                device:
                  type: string
                  description: 设备类型：desktop 或 mobile
                os:
                  type: string
                  description: 设备操作系统
                group_organic_results:
                  type: boolean
                  description: 将相关结果显示为分组的自然搜索结果
                calculate_rectangles:
                  type: boolean
                  description: 计算高级结果中 SERP 元素的像素排名
                postback_url:
                  type: string
                  description: 用于接收已完成任务结果的回调 URL
                pingback_url:
                  type: string
                  description: 用于任务完成通知的 Pingback URL
                postback_data:
                  type: string
                  description: 回传负载类型
                tag:
                  type: string
                  description: 用户定义的任务标识符
              required:
                - keyword
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 版本
                  status_code:
                    type: integer
                    description: 通用状态码
                  status_message:
                    type: string
                    description: 一般信息消息
                  time:
                    type: string
                    description: 执行时间
                  cost:
                    type: number
                    description: 任务总成本（USD）
                  tasks_count:
                    type: integer
                    description: 请求中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的任务数量
                  tasks:
                    type: string
                    description: 任务对象数组
                  tasks[].id:
                    type: string
                    description: UUID 格式的任务标识符
                  tasks[].status_code:
                    type: integer
                    description: 任务状态码
                  tasks[].status_message:
                    type: string
                    description: 任务状态消息
                  tasks[].cost:
                    type: number
                    description: 任务成本
                  tasks[].result_count:
                    type: integer
                    description: 结果元素数量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````